Subject: Re: [PATCH] git-svn: change dashed git-commit-tree to git commit-tree

From: Eric Wong <[email-masked]>
Date: Sun, 2 Nov 2008 01:38:58 -0800

Deskin Miller <[email-masked]> wrote:
> Signed-off-by: Deskin Miller <[email-masked]>
> ---
> Once again I'm using a copy of git-svn.perl directly, and this fails to exec.
> I looked at it more closely and it fails because git binary calls setup_path,
> which puts the libexec path into $PATH; of course, this doesn't happen when
> git-svn is called directly.

Thanks Deskin, looks like Junio already picked it up; but if we had
git-notes I'd add my Signed-off-by there :)

Also, on the subject of using git-svn.perl directly from the source
tree, it may become less usable that way in the near future:

Most of us (myself included) at GitTogether seemed like the idea of
splitting git-svn.perl into multiple files for maintainability reasons.
I just haven't gotten around to doing it yet.

OTOH, Git.pm is already required (but likely also installed in your
normal load paths); so you may just have to remember to use perl -I

-- 
Eric Wong